Skip to main content

Get an enterprise role by external ID

GET 

/nevisidm/api/core/v1/:clientExtId/eroles/:extId

Since: 2.75.2, 2.76.0

Required permission(s): AccessControl.EnterpriseRoleView

Returns the enterprise role matching the specified external ID within the given client, including its language-dependent display names.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    extId stringrequired

    External ID of the enterprise role.

    Example: erole-123

Responses

Enterprise role found

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the enterprise role.

    clientExtId string

    The external ID of the client to which the enterprise role belongs.

    name string

    The name of the enterprise role.

    description string

    The textual description of the enterprise role.

    displayName object

    The language-dependent name of the enterprise role. Keys: EN, DE, FR, IT.

    property name* string
Loading...